Bug 256475

Summary: deskutils/nextcloudclient update to 3.2 fails undefined symbol: argp_parse
Product: Ports & Packages Reporter: peo
Component: Individual Port(s)Assignee: Michael Reifenberger <mr>
Status: New ---    
Severity: Affects Only Me CC: elwood, madpilot
Priority: --- Flags: bugzilla: maintainer-feedback? (mr)
Version: Latest   
Hardware: amd64   
OS: Any   

Description peo 2021-06-08 05:09:46 UTC
Ports update from 3.1.3 to 3.2.2:

[ 10%] Linking CXX executable check_std_c_jhash
cd /usr/ports/deskutils/nextcloudclient/work/.build/test/csync && /usr/local/bin/cmake -E cmake_link_script CMakeFiles/check_std_c_jhash.dir/link.txt --verbose=1
/usr/bin/c++ -O2 -pipe -DLIBICONV_PLUG -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -DLIBICONV_PLUG -isystem /usr/local/include -pedantic -O2 -pipe -DLIBICONV_PLUG -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -DLIBICONV_PLUG -isystem /usr/local/include  -Wl,-rpath,/usr/local/lib -fstack-protector-strong -L/usr/local/lib CMakeFiles/check_std_c_jhash.dir/check_std_c_jhash_autogen/mocs_compilation.cpp.o CMakeFiles/check_std_c_jhash.dir/std_tests/check_std_c_jhash.c.o -o check_std_c_jhash  -Wl,-rpath,/usr/local/lib/qt5:/usr/ports/deskutils/nextcloudclient/work/.build/src/csync libtorture.a /usr/local/lib/qt5/libQt5Core.so.5.15.2 ../../src/csync/libnextcloud_csync.so.3.2.2 -lcmocka -lsqlite3 /usr/local/lib/qt5/libQt5Concurrent.so.5.15.2 /usr/local/lib/qt5/libQt5Core.so.5.15.2 /usr/lib/libz.so 
ld: error: undefined symbol: argp_parse
>>> referenced by cmdline.c
>>>               cmdline.c.o:(torture_cmdline_parse) in archive libtorture.a
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[4]: *** [test/csync/CMakeFiles/check_std_c_jhash.dir/build.make:124: test/csync/check_std_c_jhash] Error 1
gmake[4]: Leaving directory '/usr/ports/deskutils/nextcloudclient/work/.build'
gmake[3]: *** [CMakeFiles/Makefile2:4487: test/csync/CMakeFiles/check_std_c_jhash.dir/all] Error 2
gmake[3]: *** Waiting for unfinished jobs....
[ 11%] Linking CXX executable check_vio_ext
cd /usr/ports/deskutils/nextcloudclient/work/.build/test/csync && /usr/local/bin/cmake -E cmake_link_script CMakeFiles/check_vio_ext.dir/link.txt --verbose=1
/usr/bin/c++ -O2 -pipe -DLIBICONV_PLUG -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -DLIBICONV_PLUG -isystem /usr/local/include -pedantic -O2 -pipe -DLIBICONV_PLUG -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -DLIBICONV_PLUG -isystem /usr/local/include  -Wl,-rpath,/usr/local/lib -fstack-protector-strong -L/usr/local/lib CMakeFiles/check_vio_ext.dir/check_vio_ext_autogen/mocs_compilation.cpp.o CMakeFiles/check_vio_ext.dir/vio_tests/check_vio_ext.cpp.o -o check_vio_ext  -Wl,-rpath,/usr/local/lib/qt5:/usr/ports/deskutils/nextcloudclient/work/.build/src/csync libtorture.a /usr/local/lib/qt5/libQt5Core.so.5.15.2 ../../src/csync/libnextcloud_csync.so.3.2.2 -lcmocka -lsqlite3 /usr/local/lib/qt5/libQt5Concurrent.so.5.15.2 /usr/local/lib/qt5/libQt5Core.so.5.15.2 /usr/lib/libz.so 
AutoMoc: /usr/ports/deskutils/nextcloudclient/work/desktop-3.2.2/src/libsync/theme.h:574: Warning: The property 'stateOnlineImageSource' is defined multiple times in class Theme.
ld: error: undefined symbol: argp_parse
>>> referenced by cmdline.c
>>>               cmdline.c.o:(torture_cmdline_parse) in archive libtorture.a
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[4]: *** [test/csync/CMakeFiles/check_vio_ext.dir/build.make:124: test/csync/check_vio_ext] Error 1
gmake[4]: Leaving directory '/usr/ports/deskutils/nextcloudclient/work/.build'
gmake[3]: *** [CMakeFiles/Makefile2:4515: test/csync/CMakeFiles/check_vio_ext.dir/all] Error 2
gmake[4]: Leaving directory '/usr/ports/deskutils/nextcloudclient/work/.build'
[ 11%] Built target nextcloudsync_autogen
gmake[3]: Leaving directory '/usr/ports/deskutils/nextcloudclient/work/.build'
gmake[2]: *** [Makefile:169: all] Error 2
gmake[2]: Leaving directory '/usr/ports/deskutils/nextcloudclient/work/.build'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1
Comment 1 peo 2021-06-14 23:10:34 UTC
Nothing?
Comment 2 Michael Reifenberger freebsd_committer 2021-06-15 13:20:50 UTC
This error seems to caused during the build by linking to a locally installed lib with incompatible calling conventions.

Solution was to build with poudriere or deinstalling the conflicting lib before build.

I'm using poudriere anyway...
Comment 3 peo 2021-06-15 13:59:56 UTC
Would it be possible for the maintainer to check if it can be fixed in ports too, thanks!
Comment 4 Guido Falsi freebsd_committer 2021-10-17 19:53:30 UTC
This should have been fixed by commit ports 620bc0a83dc9d36b1c43ff434da9d66603f34942

Link: https://cgit.freebsd.org/ports/commit/?id=620bc0a83dc9d36b1c43ff434da9d66603f34942

Could you test and close this report if verified?

Thanks.